# studio::KeyframeTreeStore::Model Class Reference

`#include <keyframetreestore.h>`

List of all members.

## Public Member Functions

| Model ()

## Public Attributes

Gtk::TreeModelColumn < synfig::Time > | time
Gtk::TreeModelColumn < Glib::ustring > | description
Gtk::TreeModelColumn < synfig::Keyframe > | keyframe
Gtk::TreeModelColumn < synfig::Time > | time_delta

## Constructor & Destructor Documentation

studio::KeyframeTreeStore::Model::Model | ( |  | ) | `[inline]`

References description, keyframe, time, and time_delta.

## Member Data Documentation

Gtk::TreeModelColumn<synfig::Time> studio::KeyframeTreeStore::Model::time

Referenced by studio::KeyframeTree::KeyframeTree(), Model(), studio::KeyframeTree::set_model(), and studio::KeyframeTreeStore::set_value_impl().

Gtk::TreeModelColumn<Glib::ustring> studio::KeyframeTreeStore::Model::description

Referenced by studio::KeyframeTree::KeyframeTree(), Model(), studio::KeyframeTree::set_model(), and studio::KeyframeTreeStore::set_value_impl().

Gtk::TreeModelColumn<synfig::Keyframe> studio::KeyframeTreeStore::Model::keyframe

Referenced by Model(), studio::KeyframeActionManager::refresh(), studio::KeyframeTreeStore::set_value_impl(), and studio::CanvasView::show_keyframe_dialog().

Gtk::TreeModelColumn<synfig::Time> studio::KeyframeTreeStore::Model::time_delta

Referenced by studio::KeyframeTree::KeyframeTree(), Model(), and studio::KeyframeTreeStore::set_value_impl().

The documentation for this class was generated from the following file:

- keyframetreestore.h